<?php
require("connection/dbconn.php");

/** Ha létezik az email cookie, akkor az értékét egy változóban elmentjük */
if (isset($_COOKIE['webshop_email'])) 
{
  $webshop_email = $_COOKIE['webshop_email'];
}
/** Különben egy üres stringet adunk a változónak */
else 
{
  $webshop_email = "";
}

/** Ha létezik a jelszó cookie, akkor az értékét egy változóban elmentjük */
if (isset($_COOKIE['webshop_jelszo'])) 
{
  $webshop_jelszo = $_COOKIE['webshop_jelszo'];
}
/** Különben egy üres stringet adunk a változónak */
else 
{
  $webshop_jelszo = "";
}

/** Ha az email és a jelszó változók nem üresek, 
  * akkor adatbázisból lekérdezzük az email-jelszó pároshoz tartozó sort, 
  * és az id mezot elmentjük egy változóban. 
  */
if ($webshop_email!="" AND $webshop_jelszo!="") 
{
  $parancs = "SELECT * from ugyfelek WHERE email='$webshop_email' AND jelszo='$webshop_jelszo'";
  $eredmeny = mysql_query($parancs);
 
  if (mysql_num_rows($eredmeny) > 0) 
  {
    $sor = mysql_fetch_array($eredmeny);
    $id = $sor["id"];
	
	$idopont = date("Y-m-d H:i:s");
	/** Az id alapján megkeressük az ügyfél táblában az aktuális felhasználót 
	  * és a hozzá tartozó session-t üresre állítjuk, valamint az érvényességi idejét is lenullázzuk.
	  */
    $sql = "UPDATE ugyfelek SET session_id='', kilepve='$idopont', ervenyes='0000-00-00 00:00:00' WHERE id=$id";
    mysql_query($sql);
  }
}

/** Az email és a jelszó cookie-k törlése. */
setcookie("webshop_email","",1);
setcookie("webshop_jelszo","",1);

/** A kód lefutása után visszajutunk a kezdooldalra. */
header("Location: index.php");

mysql_close($kapcsolat);
?>
